% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/send_email_verification.R
\name{send_email_verification}
\alias{send_email_verification}
\title{Send email verification}
\usage{
send_email_verification(id_token)
}
\arguments{
\item{id_token}{The Firebase ID token of the user to verify.}
}
\value{
A named list with the following items:
\itemize{
\item \code{email}: The email of the account.
\item \code{error}:
\itemize{
\item \code{NULL} if no error code in response
\item A list of 2 if response was an error:
\itemize{
\item \code{code}: Error code
\item \code{message}: Error message
}
}
}
}
\description{
Send email verification
}
\details{
Visit \href{https://firebase.google.com/docs/reference/rest/auth#section-send-email-verification}{Firebase Auth REST API docs}
for more details
}
\examples{
\dontrun{
  send_email_verification("id-token-goes-here")
}
}
