% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/send_password_reset_email.R
\name{send_password_reset_email}
\alias{send_password_reset_email}
\title{Send password reset email}
\usage{
send_password_reset_email(email)
}
\arguments{
\item{email}{User's email address.}
}
\value{
A named list with the following items:
\itemize{
\item \code{email}: Users' email address.
\item \code{error}:
\itemize{
\item \code{NULL} if no error code in response
\item A list of 2 if response was an error:
\itemize{
\item \code{code}: Error code
\item \code{message}: Error message
}
}
}
}
\description{
Send password reset email
}
\details{
Visit \href{https://firebase.google.com/docs/reference/rest/auth#section-send-password-reset-email}{Firebase Auth REST API docs}
for more details
}
\examples{
\dontrun{
  send_password_reset_email("user-email-goes-here")
}
}
